[RPI4] Is it safe to use linux-armv7?

This forum is for topics dealing with problems with software specifically in the ARMv7h repo.

[RPI4] Is it safe to use linux-armv7?

Postby revelation60 » Fri Apr 24, 2020 5:29 pm

Hi everyone,

I am a long term normal Arch user who is trying Arch ARM on the Raspberry Pi 4.

I saw that the kernel version is quite old: 4.19.114-1-ARCH. Why is this? Is it safe to use linux-armv7 with Linux 5.6? Does it require extra patches for the RPI4?

I'm also wondering why there is no ARMv8 build for the RPI4. Can someone give me a status update on the port?

Many thanks for clarifying the situation!
revelation60
 
Posts: 1
Joined: Fri Apr 24, 2020 5:18 pm

Re: [RPI4] Is it safe to use linux-armv7?

Postby lategoodbye » Sun Apr 26, 2020 11:55 am

I saw that the kernel version is quite old: 4.19.114-1-ARCH. Why is this?


This is the vendor kernel, it based on a older LTS kernel. They switch to 5.4 in the near future.

Is it safe to use linux-armv7 with Linux 5.6?


I assume you are talking about Mainline kernel. This hardly depends on your use case. If you only need a headless device, this could be sufficient. Otherwise you will have to wait for Linux 5.8 or later.

Please look at this status page for detailed information:
https://github.com/lategoodbye/rpi-zero/issues/43

Does it require extra patches for the RPI4?

A lot if you need graphics.

From the Mainline kernel point of view ARMv7 and ARMv8 both have nearly the same progress.
lategoodbye
 
Posts: 73
Joined: Sat Dec 29, 2018 1:24 am

Re: [RPI4] Is it safe to use linux-armv7?

Postby rollenwiese » Sun May 10, 2020 4:18 pm

A lot if you need graphics.


Is this why after the update to 5.4 I can no longer use xorg?
rollenwiese
 
Posts: 4
Joined: Sat Jan 18, 2020 5:24 pm

Re: [RPI4] Is it safe to use linux-armv7?

Postby graysky » Sun May 10, 2020 5:44 pm

revelation60 wrote:I saw that the kernel version is quite old: 4.19.114-1-ARCH. Why is this? Is it safe to use linux-armv7 with Linux 5.6? Does it require extra patches for the RPI4?

I'm also wondering why there is no ARMv8 build for the RPI4. Can someone give me a status update on the port?


No, use the linux-raspberrypi4 package which is currently 5.4.35 I believe. It is armv7h not aarch64 which is not yet officially supported upstream. If you don't need accelerated video, it should be fine to use. See moonman's builds linked in this thread.
graysky
 
Posts: 636
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000


Return to ARMv7h

Who is online

Users browsing this forum: No registered users and 3 guests